Skip to main content
GET
/
assessment
/
packages
Python
from kombo import Kombo


with Kombo(
    integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
    api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:

    res = k_client.assessment.get_packages()

    # Handle response
    print(res)
import { Kombo } from "@kombo-api/sdk";

const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
const result = await kombo.assessment.getPackages();

console.log(result);
}

run();
require 'kombo'

Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.assessment.get_packages

unless res.get_assessment_packages_positive_response.nil?
# handle response
end
curl --request GET \
--url https://api.kombo.dev/v1/assessment/packages \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'
const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.kombo.dev/v1/assessment/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/assessment/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.kombo.dev/v1/assessment/packages"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/assessment/packages")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();
{
  "status": "success",
  "data": {
    "packages": [
      {
        "id": "1001",
        "name": "TypeScript",
        "description": "TypeScript coding skills assessments",
        "updated_at": "2023-06-29T18:47:40.890Z",
        "type": "SKILLS_TEST"
      }
    ]
  }
}
This is mainly intended for debugging. As you always need to submit the full list of available packages when using “set packages”, there shouldn’t ever be a need to call this endpoint in production.

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Headers

X-Integration-Id
string
required

ID of the integration you want to interact with.

Response

GET /assessment/packages Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
"packages": [
{
"id": "1001",
"name": "TypeScript",
"description": "TypeScript coding skills assessments",
"updated_at": "2023-06-29T18:47:40.890Z",
"type": "SKILLS_TEST"
}
]
}